#pragma once
#include<string>



class CivCommonUtils
{

public:

    // std:string转UTF8
    static std::string string_To_UTF8(const std::string& str);

    /**
     * UTF8转std:string
     * 转换过程：先将utf8转双字节Unicode编码，
     * 再通过WideCharToMultiByte将宽字符转换为多字节。
     */
    static std::string UTF8_To_string(const std::string& str);

    /**
    *@brief 获取系统当前时间
    */
    static std::string currentTime();
};
